%%% Rm - m, R - m, Um - m/s
%%% F = Phi-Phi_w, deg

function [H,L,Hd,Ld,F]=fun_TC0(Rm,Um,R);
%%%Rm=50e3; Um=30; R=[0:0.003:8]*Rm;

X=R/Rm;

% %__CONSTANTS
CH=5.8e3; CL=0.2; %swell
dr=0.25;
kh=2; ch=5.6e-3; kl=1.5; cl=6.8e-2; %tanh
CH=5.3e3; CL=0.2; %swell
RRM=5*(9.8*Rm/Um^2).^(-0.2);
Hfit0=@(X) ch*tanh(kh*max(0,X-dr)).*(1-0.1*max(0,X-dr));
Lfit0=@(X) cl*tanh(kl*max(0,X-dr));


%___H and L at RRM
H_r0=Hfit0(RRM); L_r0=Lfit0(RRM);

%__Heviside (smooth transition)
Hev=(1+tanh(100*(X-RRM)))/2;

%__Swell Dissipation (12)
Hev1=Hev;
SwellH=H_r0*( 1+CH*H_r0^4*L_r0^(-5)*(X-RRM).*Hev1 ).^(-1/4);
SwellL=L_r0*( 1+CL*log(1+CH*H_r0^4*L_r0^(-5).*(X-RRM).*Hev1) ).^(1/5);

%__Dimensionless Hd, Ld (14)
Hd=Hfit0(X).*(1-Hev)+SwellH.*Hev;
Ld=Lfit0(X).*(1-Hev)+SwellL.*Hev;

%__H, L
Rd=Rm*9.8/Um^2;
H=Hd*Um^2/9.8*Rd^(3/8); 
L=Ld*Um^2/9.8*Rd^(1/2);


%___ANGLE
inflow=20;
dr0=0.2; Ffit0=@(X) -60*tanh(0.9*X); 
fi0=Ffit0(RRM+dr0); 
%__swell
SwellF=-acosd((RRM+dr0)./X*cosd(fi0+inflow))-inflow;
Hev=(1+tanh(100*(X-RRM-dr0)))/2;
F=Ffit0(X).*(1-Hev)+SwellF.*Hev;


